Subject: Re: [PATCH 01/75] net: add APIs for manipulating skb page fragments.

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Wed, 24 Aug 2011 17:15:19 -0400

On Wed, Aug 24, 2011 at 10:09:01PM +0100, Ian Campbell wrote:
> On Wed, 2011-08-24 at 19:21 +0100, Konrad Rzeszutek Wilk wrote:
> > On Fri, Aug 19, 2011 at 02:26:33PM +0100, Ian Campbell wrote:
> > > The primary aim is to add skb_frag_(ref|unref) in order to remove the use of
> > > bare get/put_page on SKB pages fragments and to isolate users from subsequent
> > > changes to the skb_frag_t data structure.
> > > 
> > > Also included are helper APIs for passing a paged fragment to kmap and
> > > dma_map_page since I was seeing the same pattern a lot. A helper for
> > > pci_map_page is ommitted due to Michał Mirosław's recommendation that users
> > > should transition to pci_map_page instead.
> > 
> > You mean "transition to dma_map_page instead." ?
> 
> That's right, oops.

With a big pot of tea next to me to keep me sharp I took look at all
75 patches and besides this comment and the 'XXX' (which I already emailed
you about it - it also shows up in "36/75] myri10ge: convert to SKB paged frag API.")
they all looked OK to me.

So you can stick 'Reviewed-by: Konrad Rzeszutek Wilk <[email-masked]>'
on all of them if you would like.